CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::Angle_3 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::Angle_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

See also
  `CGAL::angle()`

## Operations
A model of this concept must provide:
Angle | operator() (const Kernel::Vector_3 &u, const Kernel::Vector_3 &v)
| returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the two vectors `u` and `v`.
Angle | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r)
| returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the three points `p`, `q`, `r` (`q` being the vertex of the angle).
Angle | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r, const Kernel::Point_3 &s)
| returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the two vectors `pq`, `rs`.
Angle | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r, const Kernel::Vector_3 &v)
| returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the normal of the triangle `pqr` and the vector `v`.

## Member Function Documentation

## ◆ operator()() [1/2]

Angle Kernel::Angle_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r
| ) |  |

returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the three points `p`, `q`, `r` (`q` being the vertex of the angle).

The returned value is the same as `operator()(p - q, r - q)`.

## ◆ operator()() [2/2]

Angle Kernel::Angle_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r,
|  | const Kernel::Point_3 & | s
| ) |  |

returns CGAL::OBTUSE, CGAL::RIGHT or CGAL::ACUTE depending on the angle formed by the two vectors `pq`, `rs`.

The returned value is the same as `operator()(q - p, s - r)`.